Ubuntu

sound-juicer, rhythmbox, nautilus crash at audio CD insertion

Reported by stlubuntu on 2009-12-29
118
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Brasero
Fix Released
Critical
brasero (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Binary package hint: sound-juicer

Duplicate to

https://bugs.launchpad.net/ubuntu/+source/rhythmbox/+bug/479044

and

https://bugs.launchpad.net/ubuntu/+source/sound-juicer/+bug/484444

Please refer to all history and crash reports filed to those bugs.

I did not intend to file a duplicate on both of the other bug reports, an apport bug filing was requested. So, here it is.

ProblemType: Crash
Architecture: amd64
CheckboxSubmission: aa230051ae9a9dcc63a6d523930e72ec
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Mon Dec 28 21:36:16 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/sound-juicer
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: fglrx
Package: sound-juicer 2.28.0-1
ProcCmdline: sound-juicer
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SegvAnalysis:
 Segfault happened at: 0x7f97a2e80867: movzbl 0x4(%rdi,%rcx,2),%ecx
 PC (0x7f97a2e80867) ok
 source "0x4(%rdi,%rcx,2)" (0x015af006) not located in a known VMA region (needed readable region)!
 destination "%ecx" ok
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: sound-juicer
StacktraceTop:
 ?? () from /usr/lib/libbrasero-media.so.0
 ?? () from /usr/lib/libbrasero-media.so.0
 ?? () from /usr/lib/libbrasero-media.so.0
 ?? () from /lib/libglib-2.0.so.0
 start_thread () from /lib/libpthread.so.0
Title: sound-juicer crashed with SIGSEGV in start_thread()
Uname: Linux 2.6.31-16-generic x86_64
UserGroups: adm admin cdrom clamav dialout lpadmin plugdev sambashare

stlubuntu (jlrbennett) wrote :
visibility: private → public

StacktraceTop:brasero_medium_read_CD_TEXT (
brasero_medium_init_real (object=0x14f7d30,
brasero_medium_probe_thread (self=0x14f7d30)
?? () from /lib/libglib-2.0.so.0
start_thread () from /lib/libpthread.so.0

Changed in sound-juicer (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
stlubuntu (jlrbennett) on 2009-12-30
Changed in sound-juicer (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
assignee: Martin Pitt (pitti) → nobody
stlubuntu (jlrbennett) wrote :

By what I have read from other posts and bugs with similar problems, it seems to me that the most relevant contributing cause is the make and model of the optical drive. Mine is a

PIONEER
    model: DVD-RW DVR-118L
    revision: 1.02

PATA / ATAPI drive (although another poster also had similar issues with a SATA drive.

The puzzling thing is that this drive will read and burn data disks (both CDs and DVDs) and video DVDs just fine. And vlc will play audio CD (but is not able to display the artist / track info which seems to be at the crux of the problem.)

Also, attached is a gdb-output which I thought might be helpful in diagnostic.

I would be willing to bet that only those with PIONEER optical drives are experiencing this problem. Also, FWIW I also have a second hard drive connected to the same IDE cable as the optical drive (which works fine and should not make a difference in this small issue.)

Does anyone know if there is a special module and/or drivers requiring installation in order for all functions of this device to work properly?

JimmyJimJames (jimmyjimjames) wrote :
Download full text (4.7 KiB)

This problem is also affecting me with a fresh, clean install of Ubuntu 9.10 on a Dell 4600.

I first inserted an audio CD and I got an error saying something about sound-juicer not being there. I tried opening brasero to make a backup of an audio CD and it would open up the program, then suddenly crash. Same thing happened when I tried Rythmbox Music Player or just opening with Nautilus.

I installed sound-juicer and now when I insert an audio CD, it started to play the CD and kept playing, but sound-juicer crashed.

I enabled Apport, it autogenerated a report which I associated with the bug number (501207). Here is what was in my /var/log/messages for my various attempts:

Jan 2 14:35:45 Dell-4600 kernel: [ 371.617794] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 2 14:35:45 Dell-4600 kernel: [ 371.617802] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 2 14:35:45 Dell-4600 kernel: [ 371.617809] ILI
Jan 2 14:35:45 Dell-4600 kernel: [ 371.617811] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan 2 14:35:45 Dell-4600 kernel: [ 371.617827] __ratelimit: 98 callbacks suppressed
Jan 2 14:35:45 Dell-4600 kernel: [ 371.618731] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 2 14:35:45 Dell-4600 kernel: [ 371.618736] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 2 14:35:45 Dell-4600 kernel: [ 371.618741] ILI
Jan 2 14:35:45 Dell-4600 kernel: [ 371.618743] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan 2 14:35:45 Dell-4600 kernel: [ 371.630865] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 2 14:35:45 Dell-4600 kernel: [ 371.630873] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 2 14:35:45 Dell-4600 kernel: [ 371.630879] ILI
Jan 2 14:35:45 Dell-4600 kernel: [ 371.630881] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan 2 14:35:45 Dell-4600 kernel: [ 371.631657] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 2 14:35:45 Dell-4600 kernel: [ 371.631662] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 2 14:35:45 Dell-4600 kernel: [ 371.631666] ILI
Jan 2 14:35:45 Dell-4600 kernel: [ 371.631668] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan 2 14:35:45 Dell-4600 kernel: [ 371.632517] sr 1:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Jan 2 14:35:45 Dell-4600 kernel: [ 371.632522] sr 1:0:0:0: [sr0] Sense Key : Illegal Request [current]
Jan 2 14:35:45 Dell-4600 kernel: [ 371.632526] ILI
Jan 2 14:35:45 Dell-4600 kernel: [ 371.632528] sr 1:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Jan 2 14:35:55 Dell-4600 kernel: [ 381.768062] __ratelimit: 70 callbacks suppressed
Jan 2 14:35:55 Dell-4600 kernel: [ 381.768070] brasero[1886]: segfault at 9c23006 ip 00b15b50 sp b45d3f20 error 4 in libbrasero-media.so.0.2.0[b05000+21000]
Jan 2 14:36:01 Dell-4600 kernel: [ 388.085792] nautilus[1893]: segfault at 8cc2002 ip 010dfb50 sp b6eb9f10 error 4 in libbrasero-media.so.0.2.0[10cf000+21000]
Jan 2 15:44:28 Dell-4600 kernel: [ 4494.634449] sound-juicer[2021]: segfault at 9f40002 ip 00e1bb50 sp b67e7f40 err...

Read more...

Martin Pitt (pitti) on 2010-01-03
affects: sound-juicer (Ubuntu) → brasero (Ubuntu)
Pedro Villavicencio (pedro) wrote :

Thank you for your bug report. This bug has been reported to the developers of the software. You can track it and make comments at:
 https://bugzilla.gnome.org/show_bug.cgi?id=606010

Changed in brasero (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: New → Triaged
stlubuntu (jlrbennett) wrote :

Friends,

I cleared off and made a partition available and installed 64-bit Alpha 2 of lucid to see if this bug will still be a factor once Ubuntu 10.04 is released. The good news is that Audio CDs are detected properly and this BUG is NOT a factor on 64-bit Lucid Alpha 2 (with all subsequent updates applied.) Brasero and Rhythmbox were installed by default and I added Sound-Juicer via synaptic. All worked properly. None crashed (not even nautilus.)

Alpha 2 of 64-bit lucid appears to be very stable. As a matter of fact this development release of lucid is considerably more stable than the final distribution release of 64-bit Ubuntu 9.10.

The bad news is that especially since this does not appear to impact lucid, I fear that it will continue to be ignored in Karmic (and Karmic is still supposed to be supported for a little over a year and are not all these package found in main?) As of this date it has not received any attention whatsoever from upstream. I am not even certain that kicking it upstream was the proper action. Could this bug be relative to the transition from hal to device-kit?

Oh well. Thanks for taking time to read these comments. Any further action for a fix (or at least a workaround -- other than upgrading to a lucid alpha development release -- would be much appreciated.)

Thank you.

stlubuntu (jlrbennett) wrote :

Friends,

Per my previous test, since these packages appear to work fine in Lucid Alpha 2, namely Brasero, Nautilus, Sound-juicer, and Rhythmbox, as a workaround, I attempted to upgrade what seemed to be identified as the problem packages to the corresponding lucid ones to see if this would fix the problem. This put me into despondency hell for a while but cause me to upgrade all of the following packages to lucid:

brasero_2.29.6-0ubuntu1_amd64.deb
brasero-common_2.29.6-0ubuntu1_all.deb
fontconfig_2.8.0-2ubuntu1_amd64.deb
fontconfig-config_2.8.0-2ubuntu1_all.deb
libatk1.0-0_1.29.4-0ubuntu1_amd64.deb
libbrasero-media0_2.29.6-0ubuntu1_amd64.deb
libfontconfig1_2.8.0-2ubuntu1_amd64.deb
libglib2.0-0_2.23.3-0ubuntu1_amd64.deb
libgmime-2.4-2_2.4.14-1_amd64.deb
libnautilus-extension1_2.29.90-0ubuntu1_amd64.deb
libtotem-plparser17_2.29.1-0ubuntu1_amd64.deb

After upgrading these, the problems persists. Since this problem does not occur in lucid alpha 2 with these packages install but does occur on a karmic base, this seems to confirm my hypothesis that this is not an upstream problem but an Ubuntu 9.10 Karmic problem. Consequently, again it does not appear that forwarded this upstream was the proper action. Could an ubuntu develloper please consider taking a look at this with a serious diagnostic eye?

In my own diagnostic, I suppose I could try further upgrading the following additional packages to the lucid ones: rhythmbox, sound-juicer, and, nautilus.

Thanks for reading this.

WeatherGod (ben-v-root) wrote :

stlubuntu,

The developers for the braesero thinks they have found the cause of your bug. They wish to know if this is happening for all music CDs that you have or not. Particularly, they suspect that the problem is related to CDs that have what is known as CD-TEXT. Maybe older music CD does not trigger the crash?

stlubuntu (jlrbennett) wrote :

Hey thanks so much for taking a look at this! Just now I reproduced the bug with an audio CD from 1988 entitled "Lead Me On" by Amy Grant. I also reproduced it with a CD entitled "New Miserable Experience" by Gin Blossoms from 1992.

What is discouraging is that I boot to 64-bit Lucid Alpha 3 from a USB stick and also reproduced the bug with the Gin Blossoms CD.

As you read in my prior comments, I was not able to reproduce to bug with 64-bit Lucid Alpha 2 (which was a full hard drive partition install.) Further, I will to a clean install of 64-bit Lucid Alpha 3 just to confirm that it is reproducible also with a full hard drive install.

Again, thanks so much for looking into this (both WeatherGod and upstream.) Let me know what further testing I can do.

Changed in brasero (Ubuntu):
status: Triaged → Incomplete
stlubuntu (jlrbennett) wrote :

Please help me understand why the "Incomplete" tag has now been applied. If you need more information from me, please let me know and I will attempt to supply it.

Further, the upstream developer seems to have indicated that a fix has been applied. I would be glad to test the fix to see if it resolved the problem. Please advise how I might do that.

pixel_juice (benjarvis) wrote :

I am having this same issue with a Pioneer DVR-218l SATA DVD Writer on Karmic 9.10

I am unable to:

- Rip an Audio CD (Sound-juicer crashes or doesn't find the CD)
- Mount an Audio CD without crashing Nautilus
- Burn an Audio CD with Brasero

However, once the CD is in and nautilus has crashed, I can play it with VLC (using the Play Disc option under file).

Please let me know what I can do to help get this fixed. I rip tons of CD for my MP3 player and NEED this to work.

stlubuntu (jlrbennett) wrote :

No response to Comment #11 on the "Incomplete" tag. Further, all requested additional information has been supplied. Additional user reported same problem. Tag corrected to "Confirmed."

Changed in brasero (Ubuntu):
status: Incomplete → Confirmed
Pedro Villavicencio (pedro) wrote :

A new brasero package was released on Ubuntu, could you please try with that one and confirm (or not) that the bug is fixed there? Thanks.

Changed in brasero (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
status: Confirmed → Incomplete
pixel_juice (benjarvis) wrote :

What version of Brasero are you referring to? I have 2.28.2-ubuntu1 installed.

stlubuntu (jlrbennett) wrote :

In an attempt to fix this bug, upstream indicated that a couple of fixes have been applied. See https://bugzilla.gnome.org/show_bug.cgi?id=606010 It seems to me that this should result in a "Fix Committed" tag instead of "Incomplete" Why did you change it back to Incomplete. Again all information requested has been supplied.

Also, again in Comment #11, I asked how I might test the fix that upstream has applied and have still not received a response.

Please advise and I am sure that we would all be glad to retest.

Pedro Villavicencio (pedro) wrote :

pixel_juice you should test with latest version on Lucid which is brasero 2.30.0-0ubuntu1 .

stlubuntu, the fix is already available on the brasero package on Lucid, please check the changelog

"commit 7092697934d227d6e24976a6e86d29e2a67ee8ad
Author: Philippe Rouquier <email address hidden>
Date: Thu Mar 4 13:56:09 2010 +0100

    Fix a test that could lead to read outside the allocated buffer.
    May help fixing #606010 - crashes at audio CD insertion
"

I've set the task to be Incomplete instead of Fix Released since i'm waiting for someone to confirm that the latest update really fixes the issue otherwise we might want to comment upstream and re open that bug. We don't set bug status just because here.

pixel_juice (benjarvis) wrote :

Is there a way to install the updated Brasero without upgrading Karmic to Lucid? This is a production machine and I have an xserver 1.7 unsupported video card. I can't upgrade to Lucid yet. :(

pixel_juice (benjarvis) wrote :

If this can be confirmed fixed in Lucid, I am happy to wait for the release if I can't do a brasero update.

stlubuntu (jlrbennett) wrote :

Pedro, thanks so much for the response. I will install today's lucid daily image on my available partition and retest.

pixel_juice (benjarvis) wrote :

Thank you stlubuntu. I wish I had a spare partition, or I would test this! Glad you had one!

WeatherGod (ben-v-root) wrote :

pixel_juice, you could use the "Startup Disk Creator" to create a usable LiveCD version of Lucid on a USB stick. In addition to at least 700MB for the image, you can allocate additional space that can be used by the LiveCD to write data to. In this way, you can boot Lucid from a USB stick and "Try Ubuntu without installing" and yet you can still "install" packages and drivers that will be there for the next boot.

stlubuntu (jlrbennett) wrote :

I installed Ubuntu 10.04 Lucid Lynx Beta 2 to my spare partition and applied all updates. I confirmed that Brasero 2.30.0 is the version that is installed. The problems persists and is easily reproducible with Ubuntu 10.04 Lucid Beta 2 and Brasero 2.30.0. Upon insertion of an audio CD into the CD/DVD burner Brasero crashes. Likewise Rhythmbox crashes. Sound Juicer crashes.

An interesting observation (as I indicated before) is that the problem was NOT reproducible under Ubuntu Lucid Alpha 2.

This leads me to believe that this might be an Ubuntu problem and not an upstream Brasero.

For confirmation of this, please see the following blog post:

http://dorianpula.ca/2010/04/migrating-to-opensuse/

"A system that supports my hardware. From some weird reason, the Ubuntu kernel maintainers removed a flag that cause my DVD burner not to see CDs. This is not the case in openSUSE. I actually tried to burn something off a LiveUSB before installing openSUSE. Yes, I could of recompiled my kernel with the right flags. But if I wanted to do that, I wouldn’t have moved off Gentoo to Kubuntu."

Please excuse the topic of someone leaving Ubuntu, but his assertion about the cause of this being the removal of a key compile flag might just be the cause of this bug. I would really appreciate it if someone from the kernel team would look into this compile flag issue.

Since this was not reproducible under Lucid Alpha 2, could the kernel being used then have been compiled with the relevant flag enabled?

Thanks.

Adrian (bickerstaffe-adrian) wrote :

I can confirm that, as of 15/5/2010, this bug still remains in Ubuntu 10.04 (64-bit) with a fresh install. This is the official LTS release of Ubuntu, not one of the betas. Definitely seems tied to Pioneer 218 drives because I tried swapping the drive for a different brand and the problem went away.

stlubuntu (jlrbennett) on 2010-05-15
Changed in brasero (Ubuntu):
status: Incomplete → Confirmed
pixel_juice (benjarvis) wrote :

Same here. Still a problem in Lucid. I really don't want to buy another drive. :(

Anything I can do to to help speed this along?

snircher (deuteriumoxide) wrote :

I can also confirm that there is still a problem with my Pioneer DVR-218L still causes problems with Nautilus and brasero as of 17/05/2010 with Ubuntu 10.04. The crashing of nautilus is less severe now though. It crashes, and then restarts again, and I can at least view audio cd tracks using rhythmbox, but I can't play anything. This problem still happens with older audio CDs from the early-mid 1990s.

If there is anything I can do to help, I will do it gladly. Last year I submitted a bug report for this, but it was tagged as incomplete, and I didn't have time to fix it. Now I can help solve the issue.

pixel_juice (benjarvis) wrote :

HURRAY! Audio CDs no longer crash nautilus on my system. Was there a fix in the recent kernel updates?

I will RIPPING, PLAYING, ETC.

YAY!!!

pixel_juice (benjarvis) wrote :

Ripping, playing and Ejecting all work. so far so good.

I'll try copying a cd and then everything all over with a DVD too.

YAY!

Adrian (bickerstaffe-adrian) wrote :

pixel_juice is correct - there has been some improvement on this bug. Inserting an audio CD no longer crashes Nautilus and the tracks are playable too. However, sound-juicer still crashes on startup:

Jun 6 12:18:12 ailsa kernel: [ 3540.505584] sound-juicer[2667]: segfault at 7fe69c067004 ip 00007fe6aa83ee0d sp 00007fe69bffea60 error 4 in libbrasero-media.so.0.2.0[7fe6aa82c000+23000]

...and the same happens with RhythmBox. I *can* rip the files to mp3 using Banshee, however I noticed that the metadata lookup (CDDB) does not work for any album I tried.

pixel_juice (benjarvis) wrote :

I was able to do the following:

Audio CD
- Load
- Browse
- Play
- Rip in Sound Juicer
- Copy
- Eject

DVD
- Load
- Browse
- Play
- Rip to ISO with Brasero
- Encode ISO to MP4
- Eject

Seems to be everything working for me.

I have:

Ubuntu 10.04 Lucid Lynx 2.6.32-22-generic #36-Ubuntu on x64
Pioneer DVR-218l SATA DVD Writer

I tried several CDs and all worked.

snircher (deuteriumoxide) wrote :

Pixel_juice, was it the recent kernel upgrade that fixed things? I have actually managed to play audio CDs with VLC, and it no longer crashes nautilus. Sound Juicer is still not working, and Rhythmbox refuses to open when a disc is in the cd drive. Brasero still crashes too. I'm curious how you got it to work? I have:

Linux desktop 2.6.32-22-generic #35-Ubuntu SMP Tue Jun 1 14:18:25 UTC 2010 x86_64 GNU/Linux

and the exact same DVR-218L.

I am currently downloading the newest build of the kernel so hopefully that will fix things. I've been waiting a long time for this.

snircher (deuteriumoxide) wrote :

I can confirm that after doing the recent kernel update I have the same problems I listed in my very last post.

james@desktop:~$ uname -a
Linux desktop 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

WeatherGod (ben-v-root) wrote :

snircher, just to make sure, did you reboot your computer after doing the update. According to the uname output, you have the same kernel in both posts you have made.

pixel_juice (benjarvis) wrote :

@snircher

Yeah I've been updating boxes all weekend. Rebooted a few times too. I can list my PC build if that helps.

MoBo: Gigabyte GA-X58A-UD3R
CPU: Intel i7-920
RAM: 6GB GSK F3-1066

I also have AHCI enabled for both my HDD and DVDr

[01:22:54]
[ben]@[Mother]:~/Downloads/Completed$ uname -a
Linux Mother 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

snircher (deuteriumoxide) wrote :

WeatherGod, yes I rebooted, and you'll see that in the uname -a output, the second one I listed is build #36, the first one is #35.

Pixel_juice, I have:

Mobo: Gigabyte GA-MA785GPMT-UD2H
CPU: AMD Phenom II X4 945
RAM: 4GB OCZ DDR3 1333MHz
Graphics: Gigabyte NVIDIA 9800GT silent cell (using proprietary drivers)
HDDs: Seagate Barracuda 7200.12 1TB, 320GB old IDE seagate barracuda 7200.10

I have AHCI enabled for my main HDD and DVD, but I also have an IDE hard drive in there too.

I had problems before I put the old IDE hard-drive in though.

So the differences are that I have an AMD system, you have intel. I have an NVIDIA graphics card with the proprietary drivers, you may not.

I could try a clean install of Ubuntu, update it and avoid any additional kernel modules such as the NVIDIA drivers, but that's not really practical at this stage, and I don't know enough about the kernel to know whether that would even help. I did have the proposed and backports enabled initially to see if any newer software would help, but I have since disabled them.

Nice system by the way, I'd like an i7 920 or 930 at some stage.

snircher (deuteriumoxide) wrote :

Is it possible that installing the kernel version 2.6.33 could help? I am willing to try that.

Hey friend,

one thing we have in common is the processor, I also have a

AMD Phenom II X4 945

Could that be our common element?

snircher wrote:
> WeatherGod, yes I rebooted, and you'll see that in the uname -a output,
> the second one I listed is build #36, the first one is #35.
>
> Pixel_juice, I have:
>
> Mobo: Gigabyte GA-MA785GPMT-UD2H
> CPU: AMD Phenom II X4 945
> RAM: 4GB OCZ DDR3 1333MHz
> Graphics: Gigabyte NVIDIA 9800GT silent cell (using proprietary drivers)
> HDDs: Seagate Barracuda 7200.12 1TB, 320GB old IDE seagate barracuda 7200.10
>
> I have AHCI enabled for my main HDD and DVD, but I also have an IDE hard
> drive in there too.
>
> I had problems before I put the old IDE hard-drive in though.
>
> So the differences are that I have an AMD system, you have intel. I have
> an NVIDIA graphics card with the proprietary drivers, you may not.
>
> I could try a clean install of Ubuntu, update it and avoid any
> additional kernel modules such as the NVIDIA drivers, but that's not
> really practical at this stage, and I don't know enough about the kernel
> to know whether that would even help. I did have the proposed and
> backports enabled initially to see if any newer software would help, but
> I have since disabled them.
>
> Nice system by the way, I'd like an i7 920 or 930 at some stage.
>
>

snircher (deuteriumoxide) wrote :

Hey stlubuntu,

We do have the processor in common, but I don't see how that could make a difference, but others may know otherwise.

Adrian (bickerstaffe-adrian) wrote :

Hmm, my banshee can now play and import CDs, including CDDB lookup for most albums. Sound-juicer and Brasero still crash though.

For what its worth, I'm running an Intel i7 CPU, a quad-core 920, on an Gigabyte X58 motherboard.

Francis Liu (fishzle) wrote :

I'm still getting this problem.

I'm running:

Linux gurgle 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 22:02:19 UTC 2010 i686 GNU/Linux
Mobo: Asus P5B Deluxe
CPU: Intel Core2 duo E6400
DVD: Pioneer DVR-218L (SATA)
The DVD-RW drive is plugged into SATA port 5, and detected as ata3.00 / scsi 2:0:0:0

I'm pretty sure this is related to bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/228624.

This bug is reproducible, but there is a twist. I have a dual boot machine. Yesterday I booted into Windows XPSP3 (32bit) and used the drive to listen to a couple of CDs, then I rebooted into Lucid and everything worked.

Tonight I boot direct into Linux and no potatoes. I'll try the boot-into-windows thing a few more times, and see if there is anything I can find from that perspective.

hdparm reports that it's set to UDMA5, but various specsheets indicate that it's only UDMA4 capable?

$ hdparm -i /dev/sr0

/dev/sr0:

 Model=PIONEER, FwRev=1.02, SerialNo=IIQC248529WL
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=no
 Drive conforms to: unknown: ATA/ATAPI-3,4,5,6,7

Changed in brasero (Ubuntu):
status: Confirmed → Triaged
Paul Broadhead (pjbroad) wrote :

Description: Ubuntu 10.04 LTS
Release: 10.04

brasero:
  Installed: 2.30.1-0ubuntu2
  Candidate: 2.30.1-0ubuntu2
  Version table:
 *** 2.30.1-0ubuntu2 0
        500 http://gb.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ lucid/main Packages

Linux hagrid 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux

I have a PIONEER DVR-218L (aka Pioneer DVR-S18L) with a Intel DH55HC motherboard and Intel Core i3 CPU. Again, sound-juicer, rhythmbox, nautilus crash at audio CD insertion.

Both vlc and kaffeine can play files from the audio cd. Other CD/DVD read/write works fine.

example dmesg output
sound-juicer[3173]: segfault at 1fe4002 ip 00007f89178bcbef sp 00007f890da03a60 error 4 in libbrasero-media.so.0.2.0[7f89178aa000+23000
[ 883.754312] nautilus[3182]: segfault at 274a008 ip 00007f6604cd8f20 sp 00007f65f5864a20 error 4 in libbrasero-media.so.0.2.0[7f6604cc6000+23000]
[ 1645.522902] rhythmbox[3405]: segfault at 34d6008 ip 00007ff00b331dfd sp 00007ff009480a40 error 4 in libbrasero-media.so.0.2.0[7ff00b31f000+23000]

Pedro Villavicencio (pedro) wrote :

dmesg are not useful to determine where a crash actually is, you should submit those with apport instead.

Paul Broadhead (pjbroad) wrote :

I've compile brasero-2.30.1 from the sourcepackage, installed and done a ldconfig. When I run sound-juicer through gdm I get the attached debuglog output. Does this help? I'll happily do more to help fix this.

Paul Broadhead (pjbroad) wrote :

In the above debug log, there are some <value optimised out> values, one crucial value is that of num in the brasero_medium_read_CD_TEXT() function that calls _next_CD_TEXT_pack() where the crash happens. This sets the assumed size of the array who's access is causing the SEGV. The value is 954437176 probably more that actually allocated. On another machine running the same version of brasero, the value is 0. If I prevent the call to _next_CD_TEXT_pack() then the crash does not happen and the applications appear to function as expected. I'm not sure what CD_TEXT actually is but the audio CD I have been trying appears to no use it. I still get the "I/O error" messages of course. :

[85642.694961] sr 0:0:1:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[85642.694968] sr 0:0:1:0: [sr0] Sense Key : Illegal Request [current]
[85642.694974] sr 0:0:1:0: [sr0] Add. Sense: Illegal mode for this track
[85642.694982] sr 0:0:1:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
[85642.694994] end_request: I/O error, dev sr0, sector 0

I think there is a low level problem with the CD driver that needs fixing but the crash in brasero could possibly be prevented.

Changed in brasero:
status: Unknown → Incomplete
snircher (deuteriumoxide) wrote :

Hey, can you bug developer guys stop changing this to incomplete, and ask us in the community to help? I am more than happy to submit bug reports, but I don't exactly know what you want. I am sure a lot of the others that subscribe to this thread are willing to help if instructed too.

WeatherGod (ben-v-root) wrote :

snircher, we apologize for any confusion Launchpad is causing. The bug is not actually being marked as "Incomplete" on our end, but rather, it is being marked as incomplete for the upstream report system for Gnome. The information provided by Paul Broadhead appears to be very insightful and I wouldn't be surprised if it leads to identifying the cause soon. This bug has been a very difficult one to track down.

We do appreciate the information you have provided us in the past and we hope you continue to help make Ubuntu better.

Changed in brasero (Ubuntu):
status: Triaged → Confirmed
Greg Rogers (gregrogers27) wrote :

I seem to be having the same problem, what can I do to help?

WeatherGod (ben-v-root) wrote :

Greg, thanks for the enthusiasm. I have re-pinged the developers upstream to hopefully get their attention on this issue again. We will see what they say they need.

In the meantime, keep in mind that the "Triaged" status is higher than "Confirmed". So changing this report from "Confirmed" to "Triaged" actually demotes its status. Not a big issue, but just so you know in the future. Thank you for helping to make Ubuntu better!

Micah Gersten (micahg) on 2010-07-18
Changed in brasero (Ubuntu):
status: Confirmed → Triaged
stlubuntu (jlrbennett) wrote :

Is there any way we could get the Ubuntu developers to take a serious
look at this
as it really seems like this might be something that needs fixed by
Ubuntu and not
upstream (i.e. kernel team, devicekit team -- something like that.)

WeatherGod wrote:
> Greg, thanks for the enthusiasm. I have re-pinged the developers
> upstream to hopefully get their attention on this issue again. We will
> see what they say they need.
>
> In the meantime, keep in mind that the "Triaged" status is higher than
> "Confirmed". So changing this report from "Confirmed" to "Triaged"
> actually demotes its status. Not a big issue, but just so you know in
> the future. Thank you for helping to make Ubuntu better!
>
>

Pedro Villavicencio (pedro) wrote :

If you're still having teh issue, may you please comment on the upstream bug tracker? Upstream is asking for reproduction with the fix we committed but seems for some people the issue is still there, thanks in advance.

Paul Broadhead (pjbroad) wrote :

I've commented on the upstream bug tracker. The patch did not fix the crash for me but a simple additional check with the patch did fix the crash. Looks like we getting close. As before, I still get the "I/O error" messages.

I've attached the upstream patch and my hacked version that works for me.

Changed in brasero (Ubuntu Lucid):
importance: Undecided → Medium
Changed in brasero:
status: Incomplete → Fix Released
tags: added: patch
Paul Broadhead (pjbroad) wrote :

Philippe Rouquier has fixed the crash (in my case at least) in the upstream version. I've attached a patch based on the diff between the current Ubuntu Lucid version (2.30-2) and the series of commits by Philippe Rouquier. These commits are:
http://git.gnome.org/browse/brasero/commit/?h=gnome-2-30&id=f031e1ee921886ef2a0f50a936cf939a9d614463
http://git.gnome.org/browse/brasero/commit/?h=gnome-2-30&id=b1b8ae5c0bf918503cd10380c9634d814f9f7a23
http://git.gnome.org/browse/brasero/commit/?h=gnome-2-30&id=4a34a5129d0d9d3a2d155b9f0c53cb01c68f87c0

Adrian (bickerstaffe-adrian) wrote :

That's great news. :-) Will the patch make it into the 10.04 version and enter the repositories?

Adrian (bickerstaffe-adrian) wrote :

I finally got around to applying Paul's patch and building some .debs. There still seems to be a delay when libbrasero apps startup, but they don't seem to crash anymore. Sound-juicer Nautilus, and Rhythmbox work, for example. You can download the patched version at http://www.csse.monash.edu.au/~adrianb/ubuntu/

Sorry, only the 64-bit version for now.

Changed in brasero:
importance: Unknown → Critical
stlubuntu (jlrbennett) wrote :

Adrian, thanks so much for packaging these into .debs. However, I downloaded and installed them (I am running 64-bit lucid) and the problem persists for me. I can see that the fix appeared to work for others but not on my machine for some reason. Rhythmbox, sound-juicer, both crash at audio CD insertion and nautilus will not read the audio CD. That is the bad news.

The good news is that I did a clean install of 64-bit Ubuntu 10.10 on a spare partition and this bug appears to be fixed in 10.10. As an LTS kind of user, I will be keeping Ubuntu 10.04.x as my main OS so I still need to get this fixed in lucid. My next step is to download the debs from maverick and install them to my lucid machine to see if that fixes the problem on lucid. I am quite hopeful that this will fix it (I hope that the fix is not the result of the new maverick kernel.)

stlubuntu (jlrbennett) wrote :

Well, friends. It worked!! On 64-bit lucid, I am now running Brasero 2.32.0, brasero-common 2.32.0-0ubuntu2, libbrasero-media1 2.32.0-0ubuntu2 (and sound-juicer 2.31.6-0ubuntu2.) It is a little unorthodox, I will indeed admit (as I temporarily added maverick repositories and used aptitude for dependency hell resolution (I was there a few times.)) The only side effect I notice at the moment is that rhythmbox does not show up in the notification area (due to a libnotifier issue I believe lucid / maverick conflict of some kind.) This is the first time I have been able to play and rip audio CD on this ubuntu box. I surely hope someone can help put this into a fix so that all lucid LTS users can benefit. (Upgrade to maverick is not a reasonable fix for LTS users.)

Thanks.

stlubuntu (jlrbennett) wrote :

Once again, I can confirm the versions in Maverick fix this bug. My dream is for the maverick versions to be altered so as not to cause any conflicts and dependency problems and then placed in lucid-updates so the LTS users like myself may benefit from this fix. Anyway following here is my rather unorthodox workaround for lucid. Please note that this fix is only for lucid as this bug does not impact maverick at all (it does however impact karmic and this might work for karmic but has not been tested.)

First of all, I must warn you that this really is quite an unorthodox workaround and could put you in to a difficult state of dependency hell. Proceed only at your own risk. Your mileage may vary. However, I am compelled to share this as this is what worked for me. The packages listed below are the ones (from maverick) that ended up being installed once I was finished with a completely working stable ubuntu lucid system.

1. Download and save the attached text file maverick.list.

2. open a terminal and enter
    sudo mv maverick.list /etc/apt/sources.list.d/maverick.list && sudo aptitude update
    (yes, please use aptitude, you may need it for dependency hell resolution later.)

3. With the terminal window still open enter
     sudo aptitude install brasero brasero-common gconf2-common gconf2-common gnome-themes-selected gtk2-engines-pixbuf indicator-application libappindicator1 libbrasero-media-dev libbrasero-media1 libburn4 libdbus-glib-1-2 libdbus-glib-1-dev libdbusmenu-glib1 libdbusmenu-gtk1 libdconf0 libgail-common libgail18 libgconf2-4 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-dev libglib2.0-0 libglib2.0-bin libglib2.0-dev libgtk2.0-0 libgtk2.0-bin libgtk2.0-dev libindicator1 libisofs6 libnotify1 librsvg2-2 librsvg2-common libtotem-plparser17 libwmf0.2-7 libwmf0.2-7-gtk sound-juicer

4. Read and consider carefully the options presented to you by aptitude. You may need to respond "N" to several options it presents to you before an acceptable one appears. Do not allow it to remove anything you need or the system needs. Do not be afraid to respond "N" or "Q" as many times as needed.

5. Navigate to Software Sources (under System > Administration) and deselect maverick under the "other software" tab. Reload.

6. As a clean up measure or two you may need to reinstall rhythmbox (lucid) and the ubuntuone-music store plugin, but not (or even uninstall) the rhythmbox burn audio CD plugin (unless you want to attempt to get that from maverick, too.)

7. From an open terminal, sudo aptitude update && sudo aptitude full-upgrade (!! only after deselecting maverick in software sources !!) and clean up any remaining conflicts.

Yes, I agree that this is nuts and ridiculous but it is the only way I have had rhythmbox, brasero, sound-juicer, and nautilus work properly with regard to audio CDs since I have had this new computer since November 2009.

Again, my request is for a developer to take this, clean it up, and have this incorporated into lucid-updates to squash this bug permanently.

Thanks.

stlubuntu (jlrbennett) wrote :

Attached is the aforementioned maverick.list file. This file reflects the main us (United States of America) mirror which you may want to modify to reflect your own country/continent/region.

wribeiro (wribeiro) wrote :

The problem persists in Ubuntu 10.10 64bits, after a clean install.

stlubuntu (jlrbennett) wrote :

Thanks for the comment, friend. Would you consider adding some detail regarding the make and model of optical drive along with some more information on your system and configuration?

Martin Pitt (pitti) wrote :

No SRU request here, unsubscribing SRU team and subscribing sponsors instead.

wribeiro (wribeiro) wrote :

Ubuntu 10.10 64
HP Pavilion dv6000
AMD Turion 64 x2
DVD RW LightScribe

Rhythmbox crashes as soon as an audio CD is inserted.

Henry (hrhall) wrote :

Rhythmbox crashes when inserting a CD
HP laptop
AMD 64 bit processor
Ubuntu 10.10

wribeiro (wribeiro) wrote :

Only HP notebooks are affected by this problem?

stlubuntu (jlrbennett) wrote :

Frankly friends, this bug began as impacting those who have Pioneer optical drives. Further, for those of us with Pioneer drives (I am the OP and I have one), it seems like this is fixed in Maverick (and for some with a patch or two for lucid just prior to maverick -0 see above comments.) Might be best to begin a new bug report for the HP Pavilions.

Thanks.

wribeiro (wribeiro) wrote :

This is the error:

(rhythmbox:2898): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Segmentation fault

Any suggestion?

SwaJime (john-swajime) wrote :

With RhythmBox running, I insert an audio CD.
This appears in the log when RhythmBox crashes:

Oct 29 23:19:40 desktop kernel: [59673.425190] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 29 23:19:40 desktop kernel: [59673.425198] sr 0:0:0:0: [sr0] Sense Key : Illegal Request [current]
Oct 29 23:19:40 desktop kernel: [59673.425205] sr 0:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Oct 29 23:19:40 desktop kernel: [59673.425214] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Oct 29 23:19:40 desktop kernel: [59673.425228] end_request: I/O error, dev sr0, sector 0
Oct 29 23:19:40 desktop kernel: [59673.425234] Buffer I/O error on device sr0, logical block 0
Oct 29 23:19:40 desktop kernel: [59673.426627] sr 0:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Oct 29 23:19:40 desktop kernel: [59673.426633] sr 0:0:0:0: [sr0] Sense Key : Illegal Request [current]
Oct 29 23:19:40 desktop kernel: [59673.426639] sr 0:0:0:0: [sr0] Add. Sense: Illegal mode for this track
Oct 29 23:19:40 desktop kernel: [59673.426646] sr 0:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 02 00
Oct 29 23:19:40 desktop kernel: [59673.426659] end_request: I/O error, dev sr0, sector 0
Oct 29 23:19:40 desktop kernel: [59673.426663] Buffer I/O error on device sr0, logical block 0
 ...
Oct 29 23:19:53 desktop kernel: [59686.048688] __ratelimit: 111 callbacks suppressed
Oct 29 23:19:53 desktop kernel: [59686.048696] rhythmbox[13453]: segfault at 1ed0008 ip 00007f21cac8c01f sp 00007f21d210da40 error 4 in libbrasero-media.so.0.2.0[7f21cac79000+24000]

SwaJime (john-swajime) wrote :

Update:
Application does not crash after purging brasero and rhythmbox-plugin-cdrecorder

Sebastien Bacher (seb128) wrote :

the issue should be fixed in the current version

Changed in brasero (Ubuntu):
status: Triaged → Fix Released
Sebastien Bacher (seb128) wrote :

Seems lucid still has the issue and either should get the 2.30.3 update or a backport of https://bugs.launchpad.net/ubuntu/+source/brasero/+bug/501207/+attachment/1465325/+files/brasero.working.lucid.patch

Changed in brasero (Ubuntu Lucid):
status: New → Triaged
Alessio Treglia (quadrispro) wrote :

Adding a patch.

Changed in brasero (Ubuntu Lucid):
status: Triaged → New
AquaQuieta (aqua-quieta) wrote :
Download full text (14.2 KiB)

This is happening to me as well on an up-to-date Lucid lynx.

Nautilus works fine and the tracks are playable in vlc.
Brasero seems to work fine....at least it doesn't crash immediately upon inserting an audio cd...I didn't try
burning a disc or anything.

rhythmbox and sound-juicer, on the other hand, crash immediately if there is an audio cd in the drive when I start those programs.

If I start the programs first, everything looks fine, until I insert an audio cd....they crash immediately again.

Running Sound-Juicer from the console, I get this when it crashes:

roxanne:~$ sound-juicer
*** buffer overflow detected ***: sound-juicer terminated
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6(__fortify_fail+0x50)[0xb6ed9390]
/lib/tls/i686/cmov/libc.so.6(+0xe12ca)[0xb6ed82ca]
/lib/tls/i686/cmov/libc.so.6(+0xe0a08)[0xb6ed7a08]
/lib/tls/i686/cmov/libc.so.6(_IO_default_xsputn+0x9e)[0xb6e60afe]
/lib/tls/i686/cmov/libc.so.6(_IO_vfprintf+0xe24)[0xb6e34a34]
/lib/tls/i686/cmov/libc.so.6(__vsprintf_chk+0xad)[0xb6ed7abd]
/lib/tls/i686/cmov/libc.so.6(__sprintf_chk+0x2d)[0xb6ed79fd]
/usr/lib/libmusicbrainz.so.4(_ZN10RDFExtractC1ERKSsb+0x10a)[0xb77a48ba]
/usr/lib/libmusicbrainz.so.4(_ZN11MusicBrainz5QueryERKSsPSt6vectorISsSaISsEE+0x731)[0xb7798af1]
/usr/lib/libmusicbrainz.so.4(mb_Query+0x4e)[0xb778cdee]
sound-juicer[0x8067359]
sound-juicer(sj_metadata_list_albums+0x41)[0x80692a1]
sound-juicer[0x8066a96]
/lib/libglib-2.0.so.0(+0x65def)[0xb6fd5def]
/lib/tls/i686/cmov/libpthread.so.0(+0x596e)[0xb761796e]
/lib/tls/i686/cmov/libc.so.6(clone+0x5e)[0xb6ec4a4e]
======= Memory map: ========
08048000-0806e000 r-xp 00000000 08:01 9600492 /usr/bin/sound-juicer
0806e000-0806f000 r--p 00025000 08:01 9600492 /usr/bin/sound-juicer
0806f000-08070000 rw-p 00026000 08:01 9600492 /usr/bin/sound-juicer
09cec000-0a0b9000 rw-p 00000000 00:00 0 [heap]
aa128000-aa129000 ---p 00000000 00:00 0
aa129000-aa929000 rw-p 00000000 00:00 0
aa929000-aa92a000 ---p 00000000 00:00 0
aa92a000-ab12a000 rw-p 00000000 00:00 0
ab92b000-ab92c000 ---p 00000000 00:00 0
ab92c000-ac12c000 rw-p 00000000 00:00 0
ac92d000-ac92e000 ---p 00000000 00:00 0
ac92e000-ad12e000 rw-p 00000000 00:00 0
ae130000-ae131000 ---p 00000000 00:00 0
ae131000-ae931000 rw-p 00000000 00:00 0
ae931000-b2932000 rw-s 00000000 00:10 23482 /dev/shm/pulse-shm-1732908516
b2932000-b2993000 r-xp 00000000 08:01 9571992 /usr/lib/libsndfile.so.1.0.21
b2993000-b2994000 ---p 00061000 08:01 9571992 /usr/lib/libsndfile.so.1.0.21
b2994000-b2995000 r--p 00061000 08:01 9571992 /usr/lib/libsndfile.so.1.0.21
b2995000-b2996000 rw-p 00062000 08:01 9571992 /usr/lib/libsndfile.so.1.0.21
b2996000-b299a000 rw-p 00000000 00:00 0
b299a000-b29a1000 r-xp 00000000 08:01 6291649 /lib/libwrap.so.0.7.6
b29a1000-b29a2000 r--p 00006000 08:01 6291649 /lib/libwrap.so.0.7.6
b29a2000-b29a3000 rw-p 00007000 08:01 6291649 /lib/libwrap.so.0.7.6
b29a3000-b29ec000 r-xp 00000000 08:01 9571933 /usr/lib/libpulsecommon-0.9.21.so
b29ec000-b29ed000 r--p 00048000 08:01 9571933 /usr/lib/libpulsecommon-0.9.21.so
b29ed000-b29ee000 rw-p 00049000 08:01 9571933 /usr/lib/libpulsecommon-0.9.21.so
b29ee000-b2a03000 ...

KeithG (grider-4) wrote :

I am running 32 bit 10.10 fully up to date. It appears that sound juicer will extract music. When I put the CD in the drive with rhythmbox, though, it crashes.

dmesg shows this:

[35518.296548] rhythmbox[4357]: segfault at 0 ip 02aa531a sp b1fe3120 error 6 in libnss_wins.so.2[2a5c000+2c7000]
[35531.484507] rhythmbox[4372]: segfault at 0 ip 02a9431a sp b02fe120 error 6 in libnss_wins.so.2[2a4b000+2c7000]
[35588.795612] rhythmbox[4412]: segfault at 0 ip 0425731a sp ae79a120 error 6 in libnss_wins.so.2[420e000+2c7000]
[35748.654722] rhythmbox[4489]: segfault at 0 ip 02d6431a sp b01fd120 error 6 in libnss_wins.so.2[2d1b000+2c7000]
[36080.848801] rhythmbox[4550]: segfault at 0 ip 035ff31a sp afffe120 error 6 in libnss_wins.so.2[35b6000+2c7000]

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.